## tmpl-symbol tmpl-symbol |

## Functions

TmplSymbol * | tmpl_symbol_new ()
TmplSymbol * | tmpl_symbol_ref ()
void | tmpl_symbol_unref ()
TmplSymbolType | tmpl_symbol_get_symbol_type ()
void | tmpl_symbol_get_value ()
TmplExpr * | tmpl_symbol_get_expr ()
void | tmpl_symbol_assign_value ()
void | tmpl_symbol_assign_boolean ()
void | tmpl_symbol_assign_double ()
void | tmpl_symbol_assign_string ()
void | tmpl_symbol_assign_object ()
void | tmpl_symbol_assign_expr ()

## Description

## Functions

### tmpl_symbol_new ()

    TmplSymbol *
    tmpl_symbol_new (void);

### tmpl_symbol_ref ()

    TmplSymbol *
    tmpl_symbol_ref (TmplSymbol *self);

### tmpl_symbol_unref ()

    void
    tmpl_symbol_unref (TmplSymbol *self);

### tmpl_symbol_get_symbol_type ()

    TmplSymbolType
    tmpl_symbol_get_symbol_type (TmplSymbol *self);

### tmpl_symbol_get_value ()

    void
    tmpl_symbol_get_value (TmplSymbol *self,
                           GValue *value);

### tmpl_symbol_get_expr ()

    TmplExpr *
    tmpl_symbol_get_expr (TmplSymbol *self,
                          GPtrArray **params);

#### Parameters

self | A TmplSymbol |
params | A list of parameters. | [out][element-type utf8][transfer none][nullable]

#### Returns

A TmplExpr.

[transfer none]

### tmpl_symbol_assign_value ()

    void
    tmpl_symbol_assign_value (TmplSymbol *self,
                              const GValue *value);

### tmpl_symbol_assign_boolean ()

    void
    tmpl_symbol_assign_boolean (TmplSymbol *self,
                                gboolean v_bool);

### tmpl_symbol_assign_double ()

    void
    tmpl_symbol_assign_double (TmplSymbol *self,
                               gdouble v_double);

### tmpl_symbol_assign_string ()

    void
    tmpl_symbol_assign_string (TmplSymbol *self,
                               const gchar *v_string);

### tmpl_symbol_assign_object ()

    void
    tmpl_symbol_assign_object (TmplSymbol *self,
                               gpointer v_object);

### tmpl_symbol_assign_expr ()

    void
    tmpl_symbol_assign_expr (TmplSymbol *self,
                             TmplExpr *expr,
                             GPtrArray *args);

Sets the symbol as a `TMPL_SYMBOL_EXPR` with the given ordered and named parameters.

[skip]

#### Parameters

self | A TmplSymbol. |
expr | An expression to assign, or `NULL`. params: (element-type utf8): A GPtrArray of strings. | [nullable]

## Types and Values